- Cal3D 0.11 API Reference -

Public Member Functions | List of all members
CalAnimationAction Class Reference
Inheritance diagram for CalAnimationAction:

## Public Member Functions

| CalAnimationAction (CalCoreAnimation *pCoreAnimation)
| Constructs the animation action instance.
bool | execute (float delayIn, float delayOut, float weightTarget=1.0f, bool autoLock=false)
| Executes the animation action instance.
bool | update (float deltaTime)
| Updates the animation action instance.
Public Member Functions inherited from CalAnimation
CalCoreAnimation * | getCoreAnimation ()
| Provides access to the core animation.
State | getState ()
| Returns the state.
float | getTime ()
| Returns the time.
Type | getType ()
| Returns the type.
float | getWeight ()
| Returns the weight.
void | setTime (float time)
| Set the time.
void | setTimeFactor (float timeFactor)
| Set the time factor.
float | getTimeFactor ()
| Get the time factor.
void | checkCallbacks (float animationTime, CalModel *model)
void | completeCallbacks (CalModel *model)

## Additional Inherited Members

Public Types inherited from CalAnimation
enum | Type { TYPE_NONE = 0 , TYPE_CYCLE , TYPE_POSE , TYPE_ACTION }
enum | State { STATE_NONE = 0 , STATE_SYNC , STATE_ASYNC , STATE_IN , STATE_STEADY , STATE_OUT , STATE_STOPPED }
Protected Member Functions inherited from CalAnimation
| CalAnimation (CalCoreAnimation *pCoreAnimation)
void | setType (Type type)
void | setState (State state)
void | setWeight (float weight)

## Constructor & Destructor Documentation

## ◆ CalAnimationAction()

CalAnimationAction::CalAnimationAction | ( | CalCoreAnimation * | pCoreAnimation | ) |

Constructs the animation action instance.

This function is the default constructor of the animation action instance.

## Member Function Documentation

## ◆ execute()

bool CalAnimationAction::execute | ( | float | delayIn,
|  | float | delayOut,
|  | float | weightTarget = 1.0f,
|  | bool | autoLock = false )

Executes the animation action instance.

This function executes the animation action instance.

Parameters

  delayIn | The time in seconds until the animation action instance reaches the full weight from the beginning of its execution.
  delayOut | The time in seconds in which the animation action instance reaches zero weight at the end of its execution.
  weightTarget | No doxygen comment for this. FIXME.
  autoLock | This prevents the Action from being reset and removed on the last keyframe if true.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ update()

bool CalAnimationAction::update | ( | float | deltaTime | ) |

Updates the animation action instance.

This function updates the animation action instance for a given amount of time.

Parameters

  deltaTime | The elapsed time in seconds since the last update.

Returns
  One of the following values:
  - true if the animation action instance is still active
  - false if the execution of the animation action instance has ended

The documentation for this class was generated from the following files:

- animation_action.h
- animation_action.cpp

Generated by The Cal3D Team with Doxygen 1.15.0